DU(1)

NAZWA
du - szacuje użycie miejsca na dysku

SKŁADNIA
du [OPCJA]... [PLIK]...
du [OPCJA]... --files0-from=P

OPIS

Summarize device usage of the set of FILEs, recursively for directories.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-0, --null
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

-a, --all
    wypisuje podliczenia dla wszystkich plików, nie tylko katalogów

--apparent-size
    print apparent sizes rather than device usage; although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, and the like

-B, --block-size=ROZMIAR
    przelicza rozmiary według ROZMIARU przed ich wyświetleniem np. -BM wyświetla rozmiary w jednostkach 1 048 576 bajtów; patrz format ROZMIARU poniżej.

-b, --bytes
    równoważne --apparent-size --block-size=1

-c, --total
    wyświetla podsumowanie całości

-D, --dereference-args
    rozwija wyłącznie dowiązania symboliczne podane jako argumenty w wierszu poleceń

-d, --max-depth=N
    wyświetla podsumowania dla katalogu (lub pliku, z opcją -all) tylko, jeśli znajduje się N lub mniej poziomów poniżej argumentu wiersza poleceń; --max-depth=0 jest równoważne --summarize

--files0-from=P
    summarize device usage of the NUL-terminated file names specified in file F; if F is -, then read names from standard input

-H  równoważne --dereference-args (-D)

-h, --human-readable
    wyświetla rozmiary w formacie czytelnym dla ludzi (np. 1K, 234M, 2G)

--inodes
    wypisuje informacje o użyciu i-węzłów, zamiast o użyciu bloków

-k  jak --block-size=1K

-L, --dereference
    rozwija wszystkie dowiązania symboliczne

-l, --count-links
    liczy rozmiar wielokrotnie jeśli plik ma dowiązania twarde

-m  jak --block-size=1M

-P, --no-dereference
    nie podąża za żadnymi dowiązaniami symbolicznymi (domyślnie)

-S, --separate-dirs
    dla katalogów nie uwzględnia rozmiarów podkatalogów

--si
    jak -h, lecz używa potęg 1000 zamiast 1024

-s, --summarize
    wyświetla tylko podsumowanie dla każdego argumentu

-t, --threshold=ROZMIAR
    pomija wpisy mniejsze niż ROZMIAR przy wartości dodatniej lub większe niż ROZMIAR przy wartości ujemnej

--time
    pokazuje czas ostatniej modyfikacji plików w katalogu i jego podkatalogach

--time=SŁOWO
    zamiast czasu modyfikacji pokazuje czas określony przez SŁOWO: atime, access, use, ctime lub status

--time-style=STYL
    pokazuje czas używając STYLU: full-iso, long-iso, iso, +FORMAT, gdzie FORMAT jest interpretowany jak przez polecenie date

-X, --exclude-from=PLIK
    pomija pliki pasujące do wzorca w PLIKU

--exclude=WZORZEC
    pomija pliki pasujące do WZORCA

-x, --one-file-system
    pomija katalogi w innych systemach plików

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Wartości są wyświetlane w jednostkach ROZMIARU, który jest pierwszym z podanych: opcji --block-size lub zmiennym środowiskowym DU_BLOCK_SIZE,, BLOCK_SIZE, BLOCKSIZE. W przeciwnym wypadku domyślną jednostką są 1024 bajty (lub 512, jeśli ustawiono zmienną POSIXLY_CORRECT.

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

WZORCE
WZORZEC jest wzorcem powłoki (nie jest wyrażeniem regularnym). Wzorzec ? dopasowuje jeden znak, podczas gdy * pasuje do dowolnego łańcucha (złożonego z zera, jednego lub wielu znaków). Na przykład, *.o dopasuje każdy plik kończący się na .o. W związku z tym, polecenie

    du --exclude='*.o'

pominie wszystkie pliki i podkatalogi kończące się na .o (łącznie z samym plikiem .o).

AUTOR
Napisane przez Torbjorna Granlunda, Davida MacKenzie, Paula Eggerta i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/du>
lub lokalnie, za pomocą info '(coreutils) du invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.